<?php
namespace FiloBlu\Storelocator\Controller\Index;

class Shop extends \Magento\Framework\App\Action\Action
{
    protected $_pageFactory;

    /** @var \FiloBlu\Storelocator\Helper\Data */
    protected $helper;

    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $pageFactory,
        \FiloBlu\Storelocator\Helper\Data $helper)
    {
        $this->_pageFactory = $pageFactory;
        $this->helper = $helper;
        return parent::__construct($context);
    }

    public function execute()
    {
        $resultPage = $this->_pageFactory->create();
        $resultPage->getConfig()->getTitle()->set($this->helper->getConfig('filoblu_storelocator_section/general/page_title'));
        return $resultPage;
    }
}